> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Capacity



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/products/capacity
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/products/capacity:
    get:
      tags:
        - Brands
        - Brands
      summary: Product Capacity
      operationId: product_capacity_api_v1_brands__brand_id__products_capacity_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandProductCapacityResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandProductCapacityResponse:
      properties:
        plan:
          type: string
          enum:
            - free
            - starter
            - pro
          title: Plan
        active_count:
          type: integer
          title: Active Count
        active_limit:
          type: integer
          title: Active Limit
        remaining_slots:
          type: integer
          title: Remaining Slots
      type: object
      required:
        - plan
        - active_count
        - active_limit
        - remaining_slots
      title: BrandProductCapacityResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````